Subject: Re: linux-next: Tree for Aug 20 (Wno-alloc-size-larger-than)

From: Kees Cook <[email-masked]>
Date: Tue, 24 Aug 2021 18:59:30 -0700

On Tue, Aug 24, 2021 at 11:58:59AM +1000, Stephen Rothwell wrote:
> Hi Randy,
> 
> On Mon, 23 Aug 2021 18:24:44 -0700 Randy Dunlap <[email-masked]> wrote:
> >
> > This is just weird. What I am seeing is that for every source file
> > where gcc emits a warning: it then follows that up with this
> > >> cc1: warning: unrecognized command line option '-Wno-alloc-size-larger-than'  
> 
> I see the same, as well as:
> 
> <stdin>:1515:2: warning: #warning syscall clone3 not implemented [-Wcpp]
> cc1: warning: unrecognized command line option '-Wno-alloc-size-larger-than'
> 
> But only on my gcc 7.3.1 builds (the rest are gcc 10).
> 
> > Smells like a gcc bug to me.
> 
> Yes
> 
> Also noted here: https://github.com/DynamoRIO/drmemory/issues/2099 (second comment)

Wow, this is really weird. Okay, thanks for the pointers. I'll keep
investigating. I may need to version-limit the use of __alloc_size,
though I'd rather not. We've been able to depend on has_builtin() nicely
for a while now. :P

-- 
Kees Cook